<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:include href="style.xsl"/>
<xsl:include href="service-params.xsl"/>

<xsl:output method="html"/>  

<xsl:template match="page">

<xsl:variable name="collName">
  <xsl:value-of select="request/paramList/param[@name='c']/@value"/>
</xsl:variable>

<html>
<xsl:call-template name="greenstoneHead"/>
<body xsl:use-attribute-sets="body-style">

<table border="0" cellspacing="0" cellpadding="0" width="100%">
<tr/><td valign="top" width="65"><img src="interfaces/default/images/spacer.gif" width="65" height="1" alt="" border="0"></img></td>
<td/><center><table width="537"><tr/><td/>

<center>
<xsl:call-template name="collectionPageBanner">
<xsl:with-param name="collName" select="$collName"/>
</xsl:call-template>
<xsl:apply-templates select="service">
<xsl:with-param name="collName" select="$collName"/>
</xsl:apply-templates>
</center>
<xsl:apply-templates select="response">
<xsl:with-param name="collName" select="$collName"/>
</xsl:apply-templates>
<xsl:call-template name="greenBar"/>
<xsl:call-template name="greenstoneFooter"/>

</table></center>
</table>
</body>
</html>
</xsl:template>

<xsl:template match="service">
<xsl:param name="collName">coll-name</xsl:param>
<xsl:variable name="subaction"><xsl:value-of select="../request/@subaction"/></xsl:variable>
<xsl:variable name='library' select='ancestor::page/config/library_name'/>
<h3><xsl:value-of select="display/name"/></h3><p/>
<form name="QueryForm" method="get" action="/gsdl3/{$library}">
<xsl:apply-templates select="paramList"/>
<input type="hidden" name="a" value="q"/>
<input type="hidden" name="sa" value="{$subaction}"/>
<input type="hidden" name="rt" value="r"/>
<input type="hidden" name="s" value="{@name}"/>
<input type="hidden" name="c" value="{$collName}"/>
<input type="submit"><xsl:attribute name="value"><xsl:value-of select='display/submit'/></xsl:attribute></input>
</form>
</xsl:template>

<xsl:template match="paramList">
  <p/><table width="537">
  <xsl:for-each select="param">
    <xsl:choose>
      <xsl:when test="@type='multi'">
        <tr><td colspan='2'>
        <xsl:apply-templates select='.'/></td></tr>
      </xsl:when>
      <xsl:otherwise>
        <xsl:variable name="pname" select="@name"/>
        <tr><td><xsl:value-of select='ancestor::service/display/param[@name=$pname]/name'/></td><td align="right"><xsl:apply-templates select="."/></td></tr>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:for-each>
  </table>
</xsl:template>


<!-- a param list that puts params in pairs- wont work as is with new
param handling stuff -->
<!--
<xsl:template match="paramList">
<p/><table width="537">
<xsl:choose>
<xsl:when test='count(param)>4'>
<xsl:for-each select="param[position() mod 2 = 1]"> 
<tr><xsl:apply-templates select="."/>
<xsl:if test="following-sibling::param[1]"><xsl:apply-templates select='following-sibling::param[1]'/></xsl:if></tr>
</xsl:for-each>
</xsl:when>
<xsl:otherwise>
<xsl:for-each select="param">
<tr><xsl:apply-templates select='.'/></tr>
</xsl:for-each>
</xsl:otherwise>
</xsl:choose>
</table>
</xsl:template>
-->


<!-- Process the query response -->
<xsl:template match="response">
  <xsl:param name="collName">coll-name</xsl:param>
  <xsl:call-template name="greenBarResults"/>

  <!-- If query term information is available, display it -->
  <br/>
  <xsl:if test="count(content/termList/term) > 0">
    <small>
    Word count:
    <xsl:for-each select="content/termList/term">
      <xsl:if test="position() > 1">, </xsl:if>
      <xsl:value-of select="@name"/>: <xsl:value-of select="@freq"/> 
    </xsl:for-each>
    </small><br/>
  </xsl:if>

  <!-- If the number of matching documents is known, display it -->
  <xsl:variable name="numDocsMatched" select="metadataList/metadata[@name='numDocsMatched']/@value"/>
  <xsl:if test="$numDocsMatched">
    <xsl:choose>
      <xsl:when test="$numDocsMatched='0'">
        No documents matched the query.
      </xsl:when>
      <xsl:when test="$numDocsMatched='1'">
        1 document matched the query.
      </xsl:when>
      <xsl:otherwise>
        <xsl:value-of select="$numDocsMatched"/> documents matched the query.
      </xsl:otherwise>
    </xsl:choose>
  </xsl:if>

  <!-- Display the matching documents -->
  <table>
  <tr valign="top">
  <xsl:for-each select="content/documentList/document">
    <tr>
    <xsl:apply-templates select=".">
      <xsl:with-param name="collName" select="$collName"/>
    </xsl:apply-templates>
    </tr>
  </xsl:for-each>
  </tr>
  </table>
</xsl:template>


<xsl:template match="document">
  <xsl:param name="collName">coll-name</xsl:param>
  <xsl:variable name="library" select="ancestor::page/config/library_name"/>

  <td>
    <a href="{$library}?a=d&amp;c={$collName}&amp;d={@name}">
      <img src="interfaces/default/images/book.gif" width="18" height="11" border="0" alt="open this document and view contents"/> <!-- TO DO -->
    </a>
  </td>
  <td><xsl:value-of select="metadataList/metadata[@name='Title']"/></td>
</xsl:template>


<xsl:template name="greenBarResults">
  <p/>
  <center>
  <img src="interfaces/default/images/qryresb.gif" width="537" height="17"/>
  </center>
</xsl:template>

</xsl:stylesheet>  
