<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:java="http://xml.apache.org/xslt/java"
		extension-element-prefixes="java">

<xsl:include href="style.xsl"/>
<xsl:output method="html"/>
<!--
<xsl:output method="xml"/>
-->


<xsl:template match="page">
  <xsl:variable name="collName" select="request/paramList/param[@name='c']/@value"/>

  <html>
    <xsl:call-template name="greenstoneHead"/>
    <!-- <head>
      <title>
	No title yet.
      </title>
    </head> -->

    <body xsl:use-attribute-sets="body-style">
      <center>
        <xsl:call-template name="collectionPageBanner">
          <xsl:with-param name="collName" select="$collName"/>
        </xsl:call-template>

	<!-- Display table of contents -->
	<p/>
        <table width="537" cellpadding="0" cellspacing="0">
          <tr>
            <xsl:apply-templates select="response/content/document">
              <xsl:with-param name="collName" select="$collName"/>
            </xsl:apply-templates>
          </tr>
        </table>

	<!-- Display document content -->
        <p/>
        <table width="537" cellpadding="0" cellspacing="0">
          <tr>
	    <td align="left">
	      <xsl:value-of disable-output-escaping="yes" select="descendant::documentNode/content"/>
	    </td>
	  </tr>
        </table>
      </center>

      <xsl:call-template name="greenstoneFooter"/>
    </body>
  </html>
</xsl:template>


<xsl:template match="document">
  <xsl:param name="collName">coll-name</xsl:param>

  <!-- Display table of contents -->
  <td valign="top" align="left" width="200">
    <img src="interfaces/default/images/cover.jpg"/> <!-- TO DO -->
  </td>
  <td valign="top">
    <xsl:apply-templates select="documentNode[@documentID]">
      <xsl:with-param name="collName" select="$collName"/>
      <xsl:with-param name="depth" select="0"/>
    </xsl:apply-templates>
  </td>
</xsl:template>


<xsl:template match="documentNode">
  <xsl:param name="collName">coll-name</xsl:param>
  <xsl:param name="depth"/>
  <xsl:variable name="library" select="ancestor::page/config/library_name"/>
  <xsl:variable name="space" select="$depth * 25"/>

  <table>
    <tr valign="top">
      <td>
	<xsl:if test="not($depth = '0')">
          <img src="interfaces/default/images/space.gif" width="{$space}"/>
	</xsl:if>
      </td>

      <!-- Display the appropriate image, depending on the node type -->
      <td valign="top">
	<a href="{$library}?a=d&amp;c={$collName}&amp;d={@documentID}">
	  <xsl:if test="@documentNodeType='root'">
	    <img border="0" width="28" height="23"
		 src="interfaces/default/images/openbook.gif"
	         alt="Close this book"/>
	  </xsl:if>
	  <xsl:if test="@documentNodeType='interior'">
	    <xsl:choose>
	      <xsl:when test="documentNode">
	        <img border="0" width="23" height="15"
		     src="interfaces/default/images/openfldr.gif"
		     alt="Close this folder"/>
	      </xsl:when>
	      <xsl:otherwise>
	        <img border="0" width="23" height="15"
		     src="interfaces/default/images/clsdfldr.gif"
		     alt="Open this folder and view contents"/>
	      </xsl:otherwise>
	    </xsl:choose>
	  </xsl:if>
	  <xsl:if test="@documentNodeType='leaf'">
	    <img border="0" width="16" height="21"
	         src="interfaces/default/images/itext.gif"
	         alt="View the document"/>
	  </xsl:if>
	</a>
      </td>

      <!-- Display associated title, bolded if the node is selected -->
      <td valign="top">
        <xsl:choose>
	  <xsl:when test="content">
	    <b><xsl:value-of select="metadataList/metadata[@name='Title']"/></b>
	  </xsl:when>
	  <xsl:otherwise>
	    <xsl:value-of select="metadataList/metadata[@name='Title']"/>
	  </xsl:otherwise>
	</xsl:choose>
      </td>
    </tr>
  </table>

  <!-- Apply recursively to the children of this node -->
  <xsl:apply-templates select="documentNode[@documentID]">
    <xsl:with-param name="collName" select="$collName"/>
    <xsl:with-param name="depth" select="$depth + 1"/>
  </xsl:apply-templates>
</xsl:template>


</xsl:stylesheet>
